package net.mawis.imip;

/**
 * This object represents a single roster item
 *
 * @author Matthias Wimmer &lt;m@tthias.net&gt;
 * @version 0.1.0
 */
public class RosterItem {
    private String itemID;
    private String itemNick;
    private PresenceState itemState;

    /**
     * constructs a RosterItem with the given ID
     *
     * @param id the ID of the new item
     */
    public RosterItem(String id) {
	itemID = id;
	itemState = new PresenceState();
    }

    /**
     * set the PresenceState of this item
     *
     * @param newState the new state
     * @return true if state has changed
     */
    public boolean setPresenceState(PresenceState newState) {
	PresenceState oldState = itemState;
	itemState = newState;
	return !oldState.equals(newState);
    }

    /**
     * set the nick of this RosterItem
     *
     * @param nick new nick-name
     */
    public void setNick(String nick) {
	itemNick = nick;
    }

    /**
     * get a String representation of this item
     *
     * @return the String representation
     */
    public String toString() {
	if (itemNick != null) {
	    return itemNick+": "+itemState.toString();
	}
	return itemID+": "+itemState.toString();
    }
}
